<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='Sie haben keine Eingabe vorgenommen.';
var alert_min_year='Anzeige erst ab 1970 möglich';
var alert_max_year='Anzeige nur bis 2036 möglich';
var confirm_event_delete='Soll dieses Ereignis wirklich gelöscht werden?';
var confirm_task_delete='Soll diese Aufgabe wirklich gelöscht werden?';
var alert_invalid_date='Dieses Datum ist ungültig. Korrigieren Sie den Wert.';
var jan='Januar';
var feb='Februar';
var mar='März';
var apr='April';
var may='Mai';
var jun='Juni';
var jul='Juli';
var aug='August';
var sep='September';
var oct='Oktober ';
var nov='November';
var dec='Dezember';
var invalid_recurrence_pattern_msg='Ungültiges Muster für Terminserie: Tag für Terminserie auswählen';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = 'Geben Sie ein gültiges Datum an..'; 
    dateCheckErrorMsg['provide a good day'] = 'Geben Sie ein gültiges Datum ein für '; 
    dateCheckErrorMsg['provide good month'] = 'Geben Sie einen Monat zwischen 1 und 12 an..'; 
    dateCheckErrorMsg['provide good year'] = 'Geben Sie ein gültiges Jahr ein.\n\nWenn Sie das Jahr zweistellig angeben, werden Zahlen kleiner 37\nals ein Jahr im 21. Jahrhundert interpretiert.\n\nBeispiel: 03 entspricht dem Jahr 2003.';
    dateCheckErrorMsg['provide good min year'] = 'Geben Sie eine höhere Jahreszahl als 1970 an..';
    dateCheckErrorMsg['provide good max year'] = 'Geben Sie eine niedrigere Jahreszahl als 2037 an..';
    dateCheckErrorMsg['provide good hour'] = 'Geben Sie eine gültige Stundenzahl an: (1-12) im 12-Stunden-Modus oder (0-23) im 24-Stunden-Modus.';
    dateCheckErrorMsg['provide good duration hour'] = 'Geben Sie einen gültigen Stundenwert an (0-23)..';
    dateCheckErrorMsg['provide good minute'] = 'Geben Sie einen Minutenwert zwischen 0 und 59 an.';
    dateCheckErrorMsg['good until day'] = 'Wählen Sie für Bis einen Wert nach dem Anfangsdatum aus.';
    dateCheckErrorMsg['adjusting to a good day'] = 'Das eingegebene Datum ist nicht vorhanden.\nKalender wird auf nächstmöglichen Termin gesetzt in';
    delete_text='Löschen OK?';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
