<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='您選取了一個空白的選項';
var alert_min_year='您無法檢視 1970 年之前的某一年';
var alert_max_year='您無法檢視 2036 年之後的某一年';
var confirm_event_delete='您是否要刪除此事件？';
var confirm_task_delete='您是否要刪除此工作？';
var alert_invalid_date='這是一個無效日期。請更正它。';
var jan='1 月';
var feb='2 月';
var mar='3 月';
var apr='4 月';
var may='5 月';
var jun='6 月';
var jul='7 月';
var aug='8 月';
var sep='9 月';
var oct='10 月 ';
var nov='11 月';
var dec='12 月';
var invalid_recurrence_pattern_msg='無效的重複模式：請選取要於哪一天重複';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = '請提供有效日期.'; 
    dateCheckErrorMsg['provide a good day'] = '請提供有效日期 '; 
    dateCheckErrorMsg['provide good month'] = '請提供 1 月至 12 月之間的某個月份.'; 
    dateCheckErrorMsg['provide good year'] = '請提供有效年份。\n\n如果您使用兩位數表示年份，小於 37 的值\n均會被解譯為屬於 21 世紀。\n\n例如： 03 相當於 2003';
    dateCheckErrorMsg['provide good min year'] = '請提供大於 1970 的年份.';
    dateCheckErrorMsg['provide good max year'] = '請提供小於 2037 的年份.';
    dateCheckErrorMsg['provide good hour'] = '請提供有效的小時值。(1-12) 十二小時制或 (0-23) 二十四小時制';
    dateCheckErrorMsg['provide good duration hour'] = '請提供有效的小時值 (0 - 23).';
    dateCheckErrorMsg['provide good minute'] = '請提供介於 0 和 59 之間的分鐘值';
    dateCheckErrorMsg['good until day'] = '請選擇一個在開始日期之後的到期日期';
    dateCheckErrorMsg['adjusting to a good day'] = '輸入的日期不存在。\n設定行事曆至最近有效日期';
    delete_text='確定要刪除？';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
