<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='您选择了一个空白选项';
var alert_min_year='您不能查看 1970 年之前的年份';
var alert_max_year='您不能查看 2036 年之后的年份';
var confirm_event_delete='要删除此事件吗？';
var confirm_task_delete='要删除此任务吗？';
var alert_invalid_date='该日期无效。请更正。';
var jan='1 月';
var feb='2 月';
var mar='3 月';
var apr='4 月';
var may='5 月';
var jun='6 月';
var jul='7 月';
var aug='8 月';
var sep='9 月';
var oct='10 月 ';
var nov='11 月';
var dec='12 月';
var invalid_recurrence_pattern_msg='无效的重复模式: 请选择重复发生的日期';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = '请提供有效日期.'; 
    dateCheckErrorMsg['provide a good day'] = '请提供有效日期 '; 
    dateCheckErrorMsg['provide good month'] = '请提供一个 1 月至 12 月之间的月份.'; 
    dateCheckErrorMsg['provide good year'] = '请提供有效年份。\n\n如果使用两位数表示年份，则小于 37 的值\n将被视为 21 世纪的年份。\n\n例如：03 相当于 2003';
    dateCheckErrorMsg['provide good min year'] = '请提供大于 1970 年的年份.';
    dateCheckErrorMsg['provide good max year'] = '请提供小于 2037 年的年份.';
    dateCheckErrorMsg['provide good hour'] = '请提供有效的小时值。（1 至 12）12 小时制或（0 至 23）24 小时制';
    dateCheckErrorMsg['provide good duration hour'] = '请提供 0 至 23 之间的有效小时值.';
    dateCheckErrorMsg['provide good minute'] = '请提供 0 至 59 之间的分钟值';
    dateCheckErrorMsg['good until day'] = '请选择开始日期之后的截止日期';
    dateCheckErrorMsg['adjusting to a good day'] = '输入的日期不存在。\n系统正在以下位置将日历设置为最近的有效日期';
    delete_text='确定要删除吗？';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
